Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.support.encoding
[Groovy] Class CodecMetaClassSupport

    java.lang.Object
      org.codehaus.groovy.grails.support.encoding.CodecMetaClassSupport

    class CodecMetaClassSupport
    extends java.lang.Object

Helper methods for Codec metaclass operations.

Authors:
  Lari Hotari

Since:
  2.3

Property Summary
`static java.lang.String` | `DECODE_PREFIX`
`static java.lang.Object[]` | `EMPTY_ARGS`
`static java.lang.String` | `ENCODE_AS_PREFIX`

Method Summary
`protected void` | `addMetaMethod(java.lang.String methodName, groovy.lang.Closure closure)`
`void` | `configureCodecMethods(GrailsCodecClass codecClass)` Adds "encodeAs*" and "decode*" metamethods for given codecClass

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### DECODE_PREFIX

    static final java.lang.String DECODE_PREFIX

### EMPTY_ARGS

    static final java.lang.Object[] EMPTY_ARGS

### ENCODE_AS_PREFIX

    static final java.lang.String ENCODE_AS_PREFIX

Method Detail

### addMetaMethod

    protected void addMetaMethod(java.lang.String methodName, groovy.lang.Closure closure)

### configureCodecMethods

    @groovy.transform.CompileStatic
    void configureCodecMethods(GrailsCodecClass codecClass)

  Adds "encodeAs*" and "decode*" metamethods for given codecClass
  Parameters:
    `codecClass` - the codec class

Groovy Documentation